head {utils} | R Documentation

## Return the First or Last Part of an Object

### Description

Returns the first or last parts of a vector, matrix, table, data frame or function. Since `head()` and `tail()` are generic functions, they may also have been extended to other classes.

### Usage

    head(x, ...)
    ## Default S3 method:
    head(x, n = 6L, ...)
    ## S3 method for class 'data.frame'
    head(x, n = 6L, ...)
    ## S3 method for class 'matrix'
    head(x, n = 6L, ...)
    ## S3 method for class 'ftable'
    head(x, n = 6L, ...)
    ## S3 method for class 'table'
    head(x, n = 6L, ...)
    ## S3 method for class 'function'
    head(x, n = 6L, ...)

    tail(x, ...)
    ## Default S3 method:
    tail(x, n = 6L, ...)
    ## S3 method for class 'data.frame'
    tail(x, n = 6L, ...)
    ## S3 method for class 'matrix'
    tail(x, n = 6L, addrownums = TRUE, ...)
    ## S3 method for class 'ftable'
    tail(x, n = 6L, addrownums = FALSE, ...)
    ## S3 method for class 'table'
    tail(x, n = 6L, addrownums = TRUE, ...)
    ## S3 method for class 'function'
    tail(x, n = 6L, ...)

### Arguments

`x` | an object
`n` | a single integer. If positive or zero, size for the resulting object: number of elements for a vector (including lists), rows for a matrix or data frame or lines for a function. If negative, all but the `n` last/first number of elements of `x`.
`addrownums` | if there are no row names, create them from the row numbers.
`...` | arguments to be passed to or from other methods.

### Details

For matrices, 2-dim tables and data frames, `head()` (`tail()`) returns the first (last) `n` rows when `n >= 0` or all but the last (first) `n` rows when `n < 0`. `head.matrix()` and `tail.matrix()` are exported. For functions, the lines of the deparsed function are returned as character strings.

If a matrix has no row names, then `tail()` will add row names of the form `"[n,]"` to the result, so that it looks similar to the last lines of `x` when printed. Setting `addrownums = FALSE` suppresses this behaviour.

### Value

An object (usually) like `x` but generally smaller. For `ftable` objects `x`, a transformed `format(x)`.

### Author(s)

Patrick Burns, improved and corrected by R-Core. Negative argument added by Vincent Goulet.

### Examples

    head(letters)
    head(letters, n = -6L)

    head(freeny.x, n = 10L)
    head(freeny.y)

    tail(letters)
    tail(letters, n = -6L)

    tail(freeny.x)
    tail(freeny.y)

    tail(library)

    head(stats::ftable(Titanic))

[Package utils version 3.6.0 Index]